Assign Donation to ProductCopy Pageput https://products.api.shoppinggives.com/product/{id}/donationCreates a new Donation and assigns it to the specified Product. Also clears any Group donation overrides that are currently in place on the Product.Path Paramsidint64requiredID of the Product as it appears in our system.Body Paramsapplication/json-patch+jsonapplication/jsontext/jsonapplication/*+jsondonationTypeint32enumrequired012Allowed:012donationAmountdoublerequiredValue of donation relative to the DonationType (ex: type=0 (percent) + amount=3 = 3% of order value)causesarray of strings | null(OPTIONAL) List of nonprofit EINs that will receive donations from the entity when purchased. Can be up to 6 nonprofits, or a single portfolio.causesADD stringexcludedbooleanDetermines if this Donation should be excluded from all entity donation calculations.falsetruefalsestartDateUtcdate-time | null(OPTIONAL) Datetime stamp to start offering this Donation on the entity. Only viable when Donation is NOT excluded.endDateUtcdate-time | null(OPTIONAL) Datetime stamp to stop offering this Donation on the entity. Only viable when Donation is NOT excluded.Headersx-store-idstringrequiredYour store ID (we will provide this).content-typestringenumDefaults to application/json-patch+jsonGenerated from available request content typesapplication/*+jsonapplication/jsonapplication/json-patch+jsontext/jsonAllowed:application/*+jsonapplication/jsonapplication/json-patch+jsontext/jsonResponses 200Success 400Maximum of 6 EINs or 1 Portfolio as the causes. If any Portfolios are present, there cannot be any EINs.Updated over 4 years ago